SUPPORTED BROWSERS

Lionbridge onDemand works best with HTML5 compliant browsers.

Our officially supported browsers are:

  • Apple Safari 6+
  • Google Chrome
  • Internet Explorer 10+
  • Mozilla Firefox 3.6+

Our "Chat Now" feature, which allows you to get instant support from a sales agent, is not compatible with some ad blocking plugins. For best results, disable your ad blocker when using this site.

google chrome
mozilla firefox
apple safari
internet explorer